Debian Bug report logs - #658946
cgvg: Uses perl4 corelibs without Depends

version graph

Package: cgvg; Maintainer for cgvg is Sergio Talens-Oliag <sto@debian.org>; Source for cgvg is src:cgvg.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 6 Feb 2012 21:33:14 UTC

Severity: normal

Tags: patch

Found in version cgvg/1.6.2-2

Fixed in version cgvg/1.6.2-2.1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sergio Talens-Oliag <sto@debian.org>:
Bug#658946; Package cgvg. (Mon, 06 Feb 2012 21:33:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Sergio Talens-Oliag <sto@debian.org>. (Mon, 06 Feb 2012 21:33:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: cgvg: Uses perl4 corelibs without Depends
Date: Mon, 6 Feb 2012 21:29:32 +0000
Package: cgvg
Version: 1.6.2-2
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Sergio Talens-Oliag <sto@debian.org>:
Bug#658946; Package cgvg. (Sun, 18 Mar 2012 12:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Sergio Talens-Oliag <sto@debian.org>. (Sun, 18 Mar 2012 12:57:14 GMT) Full text and rfc822 format available.

Message #10 received at 658946@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658946@bugs.debian.org
Subject: cgvg: diff for NMU version 1.6.2-2.1
Date: Sun, 18 Mar 2012 12:55:05 +0000
[Message part 1 (text/plain, inline)]
tags 658946 + patch
tags 658946 + pending
thanks

Dear maintainer,

I've prepared an NMU for cgvg (versioned as 1.6.2-2.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[cgvg-1.6.2-2.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 18 Mar 2012 12:57:27 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 18 Mar 2012 12:57:28 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Wed, 28 Mar 2012 13:18:23 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Wed, 28 Mar 2012 13:18:30 GMT) Full text and rfc822 format available.

Message #19 received at 658946-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658946-close@bugs.debian.org
Subject: Bug#658946: fixed in cgvg 1.6.2-2.1
Date: Wed, 28 Mar 2012 13:17:11 +0000
Source: cgvg
Source-Version: 1.6.2-2.1

We believe that the bug you reported is fixed in the latest version of
cgvg, which is due to be installed in the Debian FTP archive:

cgvg_1.6.2-2.1.diff.gz
  to main/c/cgvg/cgvg_1.6.2-2.1.diff.gz
cgvg_1.6.2-2.1.dsc
  to main/c/cgvg/cgvg_1.6.2-2.1.dsc
cgvg_1.6.2-2.1_all.deb
  to main/c/cgvg/cgvg_1.6.2-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658946@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated cgvg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Mar 2012 12:49:48 +0000
Source: cgvg
Binary: cgvg
Architecture: source all
Version: 1.6.2-2.1
Distribution: unstable
Urgency: low
Maintainer: Sergio Talens-Oliag <sto@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 cgvg       - command-line source browsing tool
Closes: 658946
Changes: 
 cgvg (1.6.2-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add Depends on libperl4-corelibs-perl (Closes: #658946)
   * Move debhelper from Build-Depends-Indep to Build-Depends
     (fixes Lintian error)
Checksums-Sha1: 
 d51379bc19d4a09361a983561122c2852b368a79 964 cgvg_1.6.2-2.1.dsc
 d535ea94f1555885759c3db514a94cb20ef203f5 2260 cgvg_1.6.2-2.1.diff.gz
 fac7809c21af45f26b3ca7c94f623f159a795306 21128 cgvg_1.6.2-2.1_all.deb
Checksums-Sha256: 
 279112d2529af8fb8af1c626499c98384f6887365685c5b849457f463e2015f7 964 cgvg_1.6.2-2.1.dsc
 1350ad98a9314e0230e58ec19c47c498f457cc628dbee6e5b861f633f5af1ad5 2260 cgvg_1.6.2-2.1.diff.gz
 d839076f31c313f91eb664c4a26b9b2825446ee310b383f3444f026974dccd1b 21128 cgvg_1.6.2-2.1_all.deb
Files: 
 2ed2cf592ed497642ad4fbba92b921d3 964 devel optional cgvg_1.6.2-2.1.dsc
 ef56e6191db5681a584988e07580e5e9 2260 devel optional cgvg_1.6.2-2.1.diff.gz
 aab3f6b0f86fc7f61c50201101d6e44f 21128 devel optional cgvg_1.6.2-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPZdo0YzuFKFF44qURAti1AJ9HCa2UuhARgTADGzA8Q8MZdT3lKACgsgUT
IWQpXywaGBGL+F6wrUF88q4=
=pVt/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 May 2012 07:38:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:14:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.